package org.zheng.demo.service;

import java.util.List;

import org.springframework.stereotype.Service;
import org.zheng.demo.subselect.CustomerOrder;

import jakarta.persistence.EntityManager;
import jakarta.persistence.TypedQuery;

@Service
public class CustomerOrderService {

	private EntityManager em;

	public CustomerOrderService(EntityManager em) {
		super();
		this.em = em;
	}

	public List<CustomerOrder> getCustomerOrders() {
		TypedQuery<CustomerOrder> ret = em.createQuery("select o from CustomerOrder o", CustomerOrder.class);
		return ret.getResultList();
	}

}
