package org.zheng.demo.rest;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;
import org.zheng.demo.service.MajorCustomerService;
import org.zheng.demo.service.CustomerOrderService;
import org.zheng.demo.subselect.MajorCustomer;
import org.zheng.demo.subselect.CustomerOrder;

@RestController
public class ReportRest {

	@Autowired
	private MajorCustomerService custService;

	@Autowired
	private CustomerOrderService opService;

	@GetMapping("/majorCustomers")
	public List<MajorCustomer> getMajorCustomers() {
		return custService.getMajorCustomers();
	}

	@GetMapping("/customerOrders")
	public List<CustomerOrder> getOrderReport() {
		return opService.getCustomerOrders();
	}

}
