package org.zheng.demo.service;

import java.util.List;

import org.springframework.stereotype.Service;
import org.zheng.demo.subselect.MajorCustomer;

import jakarta.persistence.EntityManager;
import jakarta.persistence.TypedQuery;

@Service
public class MajorCustomerService {

	private EntityManager entityManager;

	public MajorCustomerService(EntityManager entityManager) {
		this.entityManager = entityManager;
	}

	public List<MajorCustomer> getMajorCustomers() {
		TypedQuery<MajorCustomer> query = entityManager.createQuery("SELECT o FROM MajorCustomer o",
				MajorCustomer.class);
		return query.getResultList();
	}
}
