package org.zheng.demo.subselect;

import org.hibernate.annotations.Subselect;
import org.springframework.data.annotation.Immutable;

import jakarta.persistence.Column;
import jakarta.persistence.Entity;
import jakarta.persistence.Id;

@Entity
@Immutable
@Subselect("SELECT id, name, email_Address as email FROM t_customer  where type= 'Major' ")
public class MajorCustomer {

	@Column(name = "email")
	private String email;

	@Id
	@Column(name = "id")
	private Long id;

	@Column(name = "name")
	private String name;

	public String getEmail() {
		return email;
	}

	public Long getId() {
		return id;
	}

	public String getName() {
		return name;
	}

	public void setEmail(String email) {
		this.email = email;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public void setName(String name) {
		this.name = name;
	}

}
